Get boards

Retrieves a list of boards accessible to the user associated with the provided access token. This endpoint supports filtering and sorting through URL query parameters.
Customize the response by specifying team_id, project_id, or other query parameters. Filtering by team_id or project_id (or both) returns results instantly. For other filters, allow a few seconds for indexing of newly created boards.

When the query parameter is provided, results are capped at the first 10,000 matching boards (offset + limit must not exceed 10,000). To page through more boards, narrow the result set with team_id, project_id, or owner instead of relying on a higher offset.

If you're an Enterprise customer with Company Admin permissions:

  • Enable Content Admin permissions to retrieve all boards, including private boards (those not explicitly shared with you). For details, see the Content Admin Permissions for Company Admins.
  • Note that Private board contents remain inaccessible. The API allows you to verify their existence but prevents viewing their contents to uphold security best practices. Unauthorized access attempts will return an error.

Required scope

boards:read

Rate limiting

Level 1
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The team_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the query and owner parameters are ignored.

string

The project_id for which you want to retrieve the list of boards.
Note: Projects have been renamed to Spaces. Use this as the unique identifier (ID) of the space. If this parameter is included in the request, the query and owner parameters are ignored.

string
length ≤ 500

Retrieves a list of boards that contain the query string provided in the board name or board description. For example, if you want to retrieve a list of boards that have the word beta in the board name or description, add beta as the query parameter value. You can use the query parameter with the owner parameter to narrow down the board search results.
Note: When query is set, results are limited to the first 10,000 matching boards (offset + limit must not exceed 10,000).

string

Retrieves a list of boards that belong to a specific owner ID. You must pass the owner ID (for example, 3074457353169356300), not the owner name. You can use the 'owner' parameter with the query parameter to narrow down the board search results. Note that if you pass the team_id in the same request, the owner parameter is ignored.

string
1 to 50

The maximum number of boards to retrieve.
Default: 20

string

The (zero-based) offset of the first item in the collection to return.
Default: 0.
Note: When the query parameter is set, offset + limit must not exceed 10,000.

string
enum
Defaults to default

Sort order in which you want to view the result set. The parameter is applicable only when you search for boards by team or project.

  • default - If team_id is present, last_created. Otherwise, last_opened.
  • last_modified - sort by the date and time when the board was last modified.
  • last_opened - sort by the date and time when the board was last opened.
  • last_created - sort by the date and time when the board was created.
  • alphabetically - sort by the board name (alphabetically).
Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json